#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	atk
Version		:	2.36.0
Release		:	14.4.0.0%{?dist}
Summary		:	Interfaces for accessibility support
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/atk/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk-doc
BuildRequires	:	meson, ninja

Requires(post)	:	glibc
Requires(postun):	glibc
#-----------------------------------------------------------------------------
%description
The ATK library provides a set of interfaces for adding accessibility
support to applications and graphical user interface toolkits. By
supporting the ATK interfaces, an application or toolkit can be used
with tools such as screen readers, magnifiers, and alternative input
devices.

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

meson							\
	-Ddocs=true					\
	-Dintrospection=true				\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--localstatedir=%{_var}				\
	build

ninja							\
	-C build

%clean
%{__rm} -rf %{buildroot}

#installing program
%install
%{__rm} -rf %{buildroot}


DESTDIR=%{buildroot}					\
	ninja 						\
	-C build					\
	install

%files			
%defattr(-, root,root,-)
%doc AUTHORS COPYING README
%{_includedir}/%{name}-1.0/%{name}/*.h
%{_libdir}/lib%{name}-1.0.so*
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/locale/*
%{_datadir}/gtk-doc/html/%{name}/*.{html,png}
%{_datadir}/gtk-doc/html/%{name}/style.css
%{_libdir}/girepository-1.0/Atk*.typelib
%{_datadir}/gir-1.0/Atk*.gir

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


%changelog
